---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: teddit
spec:
  selector:
    matchLabels:
      container: teddit
  template:
    metadata:
      labels:
        container: teddit
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: DOMAIN
          value: test.nirvati.org
        - name: HTTPS_ENABLED
          value: 'false'
        - name: REDIRECT_HTTP_TO_HTTPS
          value: 'false'
        - name: REDIRECT_WWW
          value: 'false'
        - name: REDIS_HOST
          value: teddit-redis
        - name: THEME
          value: dark
        image: teddit/teddit:latest
        name: teddit
        volumeMounts: []

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: teddit-redis
spec:
  selector:
    matchLabels:
      container: teddit-redis
  template:
    metadata:
      labels:
        container: teddit-redis
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - image: redis:alpine
        name: teddit-redis
        volumeMounts:
        - mountPath: /data
          name: longhorn-own-data
          subPath: data/redis
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

